%define date %(echo `LANG=C date +%%Y%%m%%d%%H%%M%%S`)

%define		version 1.1.0
%define		version 2.0.0

%define		major_version %(echo %{version} | cut -c 1-3)

Name:           karesansui-release
Version:        %{version}
#Release:        1.%{date}
Release:        1
Summary:        Packages for Karesansui repository configuration

Group:          System Environment/Base 
License:        GPL
URL:            http://karesansui-project.info
Vendor:         Karesansui Project
Packager:	Kei Funagayama <kei@karesansui-project.info>

Source0:        RPM-GPG-KEY-Karesansui
Source1:        GPL
Source2:        karesansui.repo
Source3:        karesansui-devel.repo	

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:     noarch
Requires:      redhat-release >= 5

%description
This package contains the Extra Packages for Karesansui project RPM repository
GPG key as well as configuration for yum.

%prep
%setup -q  -c -T
install -pm 644 %{SOURCE0} .
install -pm 644 %{SOURCE1} .

%build


%install
rm -rf $RPM_BUILD_ROOT

#GPG Key
install -Dpm 644 %{SOURCE0} \
    $RPM_BUILD_ROOT%{_sysconfdir}/pki/rpm-gpg/RPM-GPG-KEY-Karesansui

# yum
install -dm 755 $RPM_BUILD_ROOT%{_sysconfdir}/yum.repos.d
#install -pm 644 %{SOURCE2} %{SOURCE3} $RPM_BUILD_ROOT%{_sysconfdir}/yum.repos.d

for src_file in %{SOURCE2} %{SOURCE3}
do
  dest_file=$RPM_BUILD_ROOT%{_sysconfdir}/yum.repos.d/`basename ${src_file}`
  sed -e "s#@@VERSION@@#%{major_version}#" ${src_file} >${dest_file}
done

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc GPL
%config(noreplace) /etc/yum.repos.d/*
/etc/pki/rpm-gpg/*

%changelog
* Thu Dec 02 2009 Kei FUNAGATAMA <kei@karesansui-project.info> - 1.1.0-1
- update version 1.1.0

* Wed Jun 3 2009 Taizo ITO <taizo@karesansui-project.info> - 1.0.0-2
- Change package location.

* Tue May 19 2009 Taizo ITO <taizo@karesansui-project.info> - 1.0.0-1
- Initial Package
